unbound: Data Fields - Variables

unbound 0.1

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - i -

- id : auth_probe, auth_transfer, inplace_cb, msg_parse, order_lock, pending, perfio, rrset_ref, slab_test_thr, slabhash_testkey, tap_data, test_thr, track_id, ub_packed_rrset_key, waiting_tcp
- id_list : ext_thr_info
- id_node : waiting_tcp
- identity : config_file
- idle_timeout : doq_server_socket
- if_automatic : config_file
- if_automatic_ports : config_file
- ifindex : doq_pkt_addr
- ifs : config_file
- ignore_aaaa : dns64_env
- ignore_cd : config_file
- in_cb_and_decommission : waiting_tcp
- in_list : fast_reload_printq
- in_use : val_neg_data, val_neg_zone
- in_worker_handle : tcp_req_info
- incep : keysets
- incoming_num_tcp : config_file
- incoming_xfr_serial : auth_transfer
- increment_ecs_scope : entry
- index : port_comm
- info : perfio
- inform_super : module_func_block
- infra : infra_arg, outside_network, ratelimit_list_arg, replay_runtime
- infra_cache : module_env
- infra_cache_count : ub_server_stats
- infra_cache_max_rtt : config_file
- infra_cache_min_rtt : config_file
- infra_cache_numhosts : config_file
- infra_cache_slabs : config_file
- infra_keep_probing : config_file, infra_cache
- init : cachedb_backend, module_func_block
- inplace_cb_delete_wrapped : dynlibmod_env
- insecure_lan_zones : config_file
- instance : order_id
- interface_actions : config_file
- interface_tag_actions : config_file
- interface_tag_datas : config_file
- interface_tags : config_file
- interface_view : config_file
- inuse : comm_point, port_if
- invalid_content_type : http2_stream
- invalid_endpoint : http2_stream
- io : perfinfo
- io_list : dt_io_thread
- io_list_iter : dt_io_thread
- io_num : perfinfo
- ip : tap_socket
- ip4_ifs : outside_network
- ip6_ifs : outside_network
- ip_dscp : config_file, outside_network
- ip_freebind : config_file
- ip_ratelimit : config_file
- ip_ratelimit_backoff : config_file
- ip_ratelimit_cookie : config_file
- ip_ratelimit_factor : config_file
- ip_ratelimit_size : config_file
- ip_ratelimit_slabs : config_file
- ip_str : dt_io_thread
- ip_transparent : config_file
- ipseckey_done : ipsecmod_qstate
- ipseckey_rrset : ipsecmod_qstate
- is_added : fast_reload_auth_change
- is_bg : libworker
- is_bg_thread : libworker
- is_bidirectional : dt_io_thread, tap_data
- is_cachedb_answer : module_qstate
- is_changed : fast_reload_auth_change
- is_deleted : fast_reload_auth_change
- is_drop : http2_session, module_qstate, tcp_req_info
- is_in_tcp_free : comm_point
- is_priming : module_qstate
- is_reply : tcp_req_info
- is_ssl : reuse_tcp
- is_subquery_nonsubnet : subnet_qstate
- is_subquery_scopezero : subnet_qstate
- is_valrec : module_qstate
- is_whitelisted : ipsecmod_qstate
- isbad : key_entry_data
- isdnsseclame : infra_data
- isfirst : config_stub, config_view, view
- isprime : config_stub
- isrpz : config_auth
- item : tcp_send_list
- item_on_lru_list : reuse_tcp
- iter_scrub_cname : config_file
- iter_scrub_ns : config_file
- iter_scrub_promiscuous : config_file
- iter_scrub_rrsig : config_file
- ixfr : auth_master
- ixfr_fail : auth_transfer
- ixfr_possible_timeout_count : auth_transfer
- ixfr_soa_serial : entry